﻿@model LoginModel
@{
    Layout = "_LoginLayout";
    var url = Context.Request.Path.Value;
    var returnUrl = Context.Request.Query["ReturnUrl"];
    bool isSuperAdmin = url.Contains("super");
    ViewData["Title"] = isSuperAdmin ? "Super Admin Sign In" : "User Sign In";
}
<div class="login-form login-signin">
    <div class="text-center mb-5">
        <h2 class="font-weight-bold">@(isSuperAdmin ? "Super Admin" : "Professional") Sign In</h2>
        <p class="font-weight-bold">Enter your username and password</p>
    </div>
    <form class="form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWith2FactorAuth" id="kt_login_signin_form">
        <input type="hidden" asp-for="TimeZone" />
        <div class="login" id="login_signin_form_div">
            <div class="form-group py-3 m-0">
                <input asp-for="Username" id="Email" class="form-control form-control-lg placeholder-dark-75">
                <span asp-validation-for="Username" class="text-danger"></span>
            </div>
            <div class="form-group py-3 m-0">
                <div class="input-group input-group-lg">
                    <input asp-for="Password" class="form-control form-control-lg placeholder-dark-75">
                    <div class="input-group-append"><button type="button" class="input-group-text w-60px asterisk" onclick="showHidePasswordAsterisk('Password', this)"><i class="far fa-eye text-primary"></i></button></div>
                </div>
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>
            <div class="form-group d-flex flex-wrap justify-content-between align-items-center mt-5">
                <div class="checkbox-inline">
                    <label class="checkbox checkbox-outline m-0">
                        <input asp-for="RememberMe" type="checkbox" />
                        <span></span>
                        Remember me
                    </label>
                </div>
                <a href="javascript:;" id="kt_login_forgot" class="text-hover-primary">Forgot Password ?</a>
            </div>
            @if (!isSuperAdmin)
            {
                <div class="form-group">
                    <div class="d-flex">
                        <div class="align-self-start mr-2">
                            <label class="checkbox checkbox-outline mt-1">
                                <input asp-for="TermAccepted" type="checkbox" />
                                <span></span>
                            </label>
                        </div>
                        <label asp-for="TermAccepted" class="cursor-pointer">
                            By continuing, you agree to LifeArcPlan's
                            <a class="font-weight-bold" href="~/docs/AdviserTermsOfUse.pdf" target="_blank">Terms of Use Agreement</a>.
                        </label>
                    </div>
                    <span asp-validation-for="TermAccepted" class="text-danger mt-2"></span>
                </div>
            }
            <div class="form-group d-flex mt-2 mb-2 justify-content-end">
                <button id="kt_login_signin_submit" class="btn btn-primary font-weight-bold px-6 py-2 font-size-h4">Sign In <i class="icon-lg fas fa-sign-in-alt ml-1"></i></button>
            </div>
        </div>
    </form>
</div>
<div class="login-form login-verification">
    <div class="text-center mb-10 mb-lg-10">
        <h3>Security Code Verification</h3>
        <p class="text-muted font-weight-bold">Enter security code</p>
    </div>
    <form class="form" action="admin/account/codeverification" data-ajax="true" method="post" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithRedirect" id="kt_login_verification_form">
        <input type="hidden" asp-for="Username" id="VerificationUsername" />
        <input type="hidden" asp-for="TimeZone" id="VerificationTimeZone" />
        <input type="hidden" asp-for="RememberMe" id="VerificationRememberMe" />
        <input type="hidden" id="VerificationFirstName" />
        <input type="hidden" id="EmailSent" name="EmailSent" />
        <div class="login" id="login_verification_form_div">
            <div class="form-group py-3 m-0">
                <label>Verification Code</label>
                <input asp-for="VerificationCode" class="form-control form-control-lg placeholder-dark-75" maxlength="6">
                <span asp-validation-for="VerificationCode" class="text-danger"></span>
                <div class="mt-2">
                    <a href="javascript:;" id="kt_login_verification_send" class="text-hover-primary">
                        Don't have access to the Authenticator app?
                        <span class="spinner spinner-sm spinner-primary ml-2 d-none" id="auth-spinner"></span>
                    </a>
                </div>
            </div>
            <div class="form-group d-flex flex-wrap flex-center">
                <button id="kt_login_verification_submit" class="btn btn-primary font-weight-bold px-9 py-4 my-3 mx-2">Submit</button>
                <button id="kt_login_verification_cancel" type="button" class="btn btn-light-primary  font-weight-bold px-9 py-4 my-3 mx-2">Cancel</button>
            </div>
        </div>
    </form>
</div>
<partial name="_ForgotPassword" />
@section scripts{
    <script>
        var tz = new Date().getTimezoneOffset();
        $("#kt_login_signin_form #TimeZone").val(tz);
        localStorage.clear();
        var _login = $('#kt_login');
        var _showForm = function (form) {
            var cls = 'login-' + form + '-on';
            var form = 'kt_login_' + form + '_form';
            _login.removeClass('login-forgot-on');
            _login.removeClass('login-signin-on');
            _login.removeClass('login-verification-on');

            _login.addClass(cls);
            $(`#${form}`).formReset();
            KTUtil.animateClass(KTUtil.getById(form), 'animate__animated animate__backInUp');
        }

        $('#kt_login_forgot').on('click', function (e) {
            _showForm('forgot');
            $("title").html("LifeArcPlan | Forgot Password");
        });

        $('#kt_login_forgot_cancel,#kt_login_verification_cancel').on('click', function (e) {
            _showForm('signin');
            $("title").html("LifeArcPlan | Sign In");
        });

        $('#kt_login_verification_send').on('click', function (e) {
            $("#auth-spinner").removeClass("d-none");
            $("#EmailSent").val(1);
            var email = $("#VerificationUsername").val();
            $.post('Admin/Account/Send2FACode', { email: email }, function (response) {
                if (response.success) {
                    $("#auth-spinner").addClass("d-none");
                    $("#VerificationCode").val("");
                    var swalOptions = successSwalOptions;
                    swalOptions.title = response.message;
                    Swal.fire(swalOptions);
                }
                else {
                    toastr.options = toastrOptions;
                    toastr.error(response.message);
                }
            })
        });
    </script>
}